Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000204SpeedFanOtherpublic2005-02-20 21:102005-03-15 13:24
ReporterBrianGrant 
Assigned Toalfredo 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSXPOS VersionSP2
Product Version4.20 
Target VersionFixed in Version4.22 
Summary0000204: Install halted with Administrator requirement
DescriptionInstaller claims Admin privelages are required and abandons installation, even though account doing installation has Adminstrator privelages.
Steps To Reproduce- Using an active directory account with Adminstrator privelages, installation halts at the 'Installing Files' step;

- Shows "- OS is Windows XP" in status window and displays a popup with the following message: "Administrative privelages are required to install SPEEDFAN. Installation is not complete."

Additional Information- Product version is actually 4.21
- Directory not created in Program Files directory.
- Using active directory.
- Let me know if there's anything I could do to assist with debug.
TagsNo tags attached.
Motherboard Model
Video Card ModelNVIDIA GeForce4 420 Go (Toshiba) 4.5.9.1 driver
Attached Files

- Relationships
has duplicate 0000056resolvedalfredo Administrative rights incorrectly determined, install refused. 

-  Notes
(0000744)
alfredo (manager)
2005-02-27 19:32

Please, drop me an email from an address where I can send a small EXE to try.
(0000746)
alfredo (manager)
2005-02-28 11:10

There is a new tool in the BETA PROGRAM area of the web site. Please, send me the results from running it.
(0000766)
dji (reporter)
2005-03-09 14:01

I had the same problem trying to install the same version.

As I really wanted to install and use SpeedFan I fired my best debugger (OllyDbg) to find what's wrong. It is related to the function 'isadmin' in the DLL 'sfextra.dll'. This function calls another one which try to retrieve security tokens by calling the 'GetTokenInformation' API.

Alas, the buffer which is passed to this function is 1024 bytes large which is not enough as reported by the API (on my PC, it seems that it needs something like 1136 bytes). In order to install it, I patched the DLL live (for the installation process). Two patches are needed (the one when calling memory allocation to allocate the buffer) and the one when giving the size of the buffer to the 'GetTokenInformation' API. With this the installation was successfull.

I then pacthed the DLL in the installation directory and everything is working fine now.

Hopes it will hep you to solve this minor problem.

By the way, I did not see at first that you had this site for bug tracking and so I send you this same information directly to your email. Sorry for that.

Regards

Jerome
(0000767)
alfredo (manager)
2005-03-09 16:51

Very good! Finally this issue was sorted out. Version 4.22 FINAL will include the updated installer :-)

- Issue History
Date Modified Username Field Change
2005-02-20 21:10 BrianGrant New Issue
2005-02-20 21:10 BrianGrant Video Card Model => NVIDIA GeForce4 420 Go (Toshiba) 4.5.9.1 driver
2005-02-27 19:32 alfredo Note Added: 0000744
2005-02-27 19:32 alfredo Status assigned => acknowledged
2005-02-28 11:10 alfredo Note Added: 0000746
2005-03-09 14:01 dji Note Added: 0000766
2005-03-09 16:51 alfredo Note Added: 0000767
2005-03-09 16:52 alfredo Relationship added has duplicate 0000056
2005-03-15 13:24 alfredo Status acknowledged => resolved
2005-03-15 13:24 alfredo Resolution open => fixed
2005-03-15 13:24 alfredo Fixed in Version => 4.22


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3173 seconds.
memory usage: 8,061 KB
Powered by Mantis Bugtracker